Skip to main content
Resource Center/Hardware/Host Operations

QueryHBADevice

QueryHBADevice

GET/zstack/v1/storage-devices/hba
GET/zstack/v1/storage-devices/hba/{uuid}

Operation ID

QueryHBADevice

Since

5.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • hostUuid
      StringRequired

      The host UUID.

    • portName
      StringRequired

      The port name.

    • portState
      StringRequired

      The port status.

    • hbaType
      StringRequired

      The HBA type.

    • speed
      StringRequired

      The device speed.

    • supportedSpeeds
      StringRequired

      The supported speed.

    • symbolicName
      StringRequired

      The symbolic name.

    • supportedClasses
      StringRequired

      The supported class.

    • createDate
      StringRequired

      The creation date.

    • lastOpDate
      StringRequired

      The last operation date.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.